Morph-M - Evolution #24

Creation_d'installeur_pour_Morph-M
12/01/2008 10:11 AM - Serge Koudoro

Status: Nouveau Start date:

Priority: Bas Due date:

Assignee: % Done: 50%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description
Création d'installeur pour Morph-M

Description:

Afin de rendre l'installation de Morph-M ( (encore) plus) aisée pour les "non
développeurs", il serait pratique d'avoir a disposition, en plus des binaires
précompilés, des installeurs qui feraient tout le boulot a la place de
I'utilisateur (tout le monde en réve je crois).

#2 03/10/2007 09:18 (Tibs)

Change: status: "pending" -> "accepted"”
Change: assignees: "[]" -> "['morphmdev']"

#1 02/10/2007 17:51 (Tibs)

Change: topic: " -> "Others"
Change: solution: ™ -> "Les solutions sont aussi diverses que les plateformes sur lesquelles Morph-M compile :)

Pour les version Python (staitque) de Morph-M il serait intéressant de voir du coté de:
- "setuptools" et ".egg"
- py2exe, py2app (cela serait plutot pour installer un demonstrateur)

Pour Morph-M en tant que lib C++:
- .deb, .rpm

- .dmg (?) et installeur mac

- .msi (?) et installeur windows

Une remarque plus générale (due a Romain en fait):
Dans un monde ideal ces installeurs seraient automatiquemlent créé par des scripts a partir de certaines compil nocturnes....

Les avis et suggestions sont les bienvenus !
La création de ces intallateurs pourraient

Change: importance: "medium" -> "low"

Change: title: "" -> "Création d'installeur pour Morph-M"

Change: classification: "Bug" -> "Feature+Solution"

Change: description: "" -> "Afin de rendre l'installation de Morph-M ( (encore) plus) aisée pour les "non développeurs", il serait
pratique d'avoir a disposition, en plus des binaires précompilés, des installeurs qui feraient tout le boulot a la place de I'utilisateur
(tout le monde en réve je crois)."

History

#1 - 12/01/2008 10:16 AM - Serge Koudoro
- Category set to old plone Bugs
- Priority changed from Normal to Bas

- % Done changed from 0 to 50
#2 - 12/01/2008 10:16 AM - Serge Koudoro

- Tracker changed from Anomalie to Evolution
